Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001582Dwarf FortressDwarf Mode -- Jobs, Healthcarepublic2010-04-27 10:342015-05-21 03:02
Reporterultimate carl 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityrandom
StatusacknowledgedResolutionopen 
PlatformPCOSWindows VistaOS VersionProfessional SP2
Product Version0.31.03 
Target VersionFixed in Version 
Summary0001582: Injured dwarves in bed receive no treatment after diagnosis
DescriptionThe other entries for this seem to suggest that the issue is caused by dwarves not resting in beds or feeding/watering injured having low priorities.

I had three different dwarves all injured, resting in beds in a fully (except for powder) stocked hospital. I also had three doctors, with the various medical duties split between them, except all three had feeding injured enabled and nothing else but cleaning. All three had been diagnosed and no further action was taken on them by any of the doctors, who were all completely idle for the entire time until the injured died of thirst.

This happened with at least two other dwarves at some other point as well, for a total of five dwarves lost entirely to thirst from being ignored.
Steps To ReproduceAccording to others they seem to be able to get injured to be treated sometimes, so I don't want to say this happens every time, but in that fort, for me, it happened to every single dwarf. I haven't had another fortress before or since in this version with a hospital yet.

1) Get some injured dwarves.
2) Get a well-stocked hospital.
3) Get some well-trained but stupid doctors.
4) Watch Urist McMalpractice ignore Urist McDesertThroat.
Additional InformationI continued playing the fort and powering through the losses, and unfortunately don't have the save anymore.
Tagsbed, buckets, death, healthcare, water
Attached Files

- Relationships
related to 0000094confirmedToady One Injured dwarves not recovered, ignored by doctors, and/or don't get food/water 
related to 0000412new Nobles job priority is weird 
related to 0004498confirmedFootkerchief Dwarves with lingering medical problems 
parent of 0000825resolvedToady One Unwounded dwarves lie unconsious in hospital 
has duplicate 0003633resolvedFootkerchief Reluctant Doctors 
has duplicate 0003852resolvedFootkerchief Surgeons, Bone-setters do not attend to injured dwarves. Dwarves sometimes do not attend to hungry/thirsty patients 
has duplicate 0004412resolvedFootkerchief Wounded left unatended after being brought to bed in hospital 
has duplicate 0000734resolvedFootkerchief Chief medical dwarf does not treat wounded. 
has duplicate 0003104resolvedFootkerchief Suturing and wound dressing 
has duplicate 0003212resolvedFootkerchief Return patient to the hospital gets new diagnosis but no new treatment 
related to 0005855resolvedDwarfu Two injured dwarves placed on same bed, care for only one. 
related to 0004553new Extra dwarves stuck in hospital beds 
related to 0003103new Dwarves won't treat new infections 

-  Notes
(0005360)
Logical2u (manager)
2010-04-27 10:48

It's a lot more beneficial to us if you have a save, for future reference!

Burrows?

Did all the doctors have all the medical labours enabled? I had some issues getting my Chief Medical Dwarf to perform surgery at first, but setting up a 2nd doctor helped that.
(0005364)
ultimate carl (reporter)
2010-04-27 11:08

Yeah, sorry! D: The last time I played was like a year ago when everything was a lot more stable, so I never really bothered to think of reporting stuff. I'll try to keep backups from now on.

Nope, no burrows.

And no. My Chief had Diagnose and Dress Wounds enabled, a second had Bone Setting and Suturing enabled, and a third had Surgery and Dress Wounds. They probably had more than that but I can't remember right now, but no, not all of them had everything enabled, it was spread out between them. A few things were double-dipped, and everyone had feed injured.
(0005381)
Footkerchief (manager)
2010-04-27 13:07

Possibly related to 0001076, in which the dwarves apparently were in bed.
(0005735)
crossmr (reporter)
2010-04-30 00:23

I've got this issue. I've had a guy in bed for over a year. Red foot. Can't stand up. Fully stocked hospital (Except powder). They're feeding and watering him.

No treatment is scheduled. I've got 3 doctors with no other duties.
they won't take care of him.
(0005736)
crossmr (reporter)
2010-04-30 00:33

Here is a save with an injured dwarf. He's been there..hmm.. at least 1 or 2 years.
He's one of my best miners. I'd like to get him back..
http://www.sendspace.com/file/d3t90m [^]
(0005802)
HammerDave (reporter)
2010-04-30 22:42

Do you designate the hospital first, or assign the chief first?

Try removing chief, let some time run, assign chief. Or drop and re-designate hospital. I had something similar and jiggling it freed it up. Never thought to preserve the saves though...
(0005804)
crossmr (reporter)
2010-04-30 23:14

The hospital was made before the chief. I made the chief hoping it would fix him.
He's been diagnosed, just no one is treating him. After a siege, I had like 4 guys go to the hospital. 1 was diagnosed and treated, the others just left there in serious condition. I don't know if this is related to the fact that the hospital won't stock plaster or what.
(0008243)
se5a (reporter)
2010-06-12 20:57

I also have a similar problem, but they are not even diagnosing dwarf "erith Nitigmuthkat, Woodcutter".
said dwarf is pincushioned with 24 bolts.

Other injured dwarfs have been successfully diagnosed in the same hospital later in this particular save. I've tried dropping the roof, but that didn't seem to trigger a diagnosis either.
this dwarf will eventually die of blood-loss, but he holds on for a long while normally.

This is the same save that had the bar of soap problem: http://dffd.wimbli.com/file.php?id=2433 [^]
(0008457)
norri (reporter)
2010-06-14 22:14

Just a guess, but it looks like possibly it's only injuries inflicted before the appointment of the medical dwarf that never get attended to.

I had two wounded from before there was a hospital, they get ignored no matter what I try; one from before the chief medical dwarf was around, who had some treatment or other I think, but is now back to listed as having a diagnosis request which is ignored; and now one recent injury that was successfully treated.

The injured ones just lie there in the hospital forever. One of them just proved he is actually capable of walking, having been possessed by a strange mood. I suspect they are all just malingering. I mean just because you've got two broken feet, that's no reason to stay in bed for three years.
(0008474)
Toady One (administrator)
2010-06-15 01:30

I've hopefully fixed up most of the feeding/watering problems for 0.31.07. I still have to look at lack of treatment issues.
(0009450)
schlappi (reporter)
2010-07-01 01:23
edited on: 2010-07-01 01:26

Doctors actually do all the needed medical jobs eventually in .08, even though they seem to have pretty low priorities. Currently, if a dwarf is bleeding, he's dead, since the doctor would rather clean up the blood trail first before stopping the bleeding. I noticed a few other oddities:

- medical jobs show up very late in the job list, actually only if they are being performed
- in order to have a reliable medical service, i have to turn off all medical jobs on all dwarves and only have a single doctor active; it seems those jobs invisibly stack on all the other "doctors" who are idle, on break, sleeping or performing any other job. Having more than one active doctor does not help imo

(0009658)
HammerDave (reporter)
2010-07-05 12:53

I have one of these treatment problems right now. It is a 31.08 fort. Very badly injured axedwarf, in a hospital bed, with diagnosis required. His job is stuck on "soldier" instead of going to rest, which may be part of the root cause.

Have tried several things to try to break it free:
I took him out of the squad after the injury, to help me remember how many actives there were.
Activated and inactivated the squad. Gave the squad move, kill, and defend orders.
Deconstructed the bed -- he was moved to a new bed just fine, but no diagnosis and stays on soldier
Added back into the squad, activated squad, deactivated, removed. No change.
The hospital and doctor were both present before the injury.

BTW, blue injuries to internal organs (heart, both lungs, both kidneys, guts) and he still lives???
(0011259)
JimboOmega (reporter)
2010-07-29 10:50

Several dwarves in 31.12 that are stuck in the hospital and not getting treated. One actually grew from child to adult in the hospital. He was evaluated and cleaned in 1052, and it is now 1056.

Wounds screen shows several things needed, but treatment screen is blank. Not sure why.

They do get water regularly.
(0012046)
Valguris (reporter)
2010-08-23 11:09

2 dwarves with "ability to stand lost" don't have anymore treatment scheduled. They were diagnosed and cleaned with soap.
(0012144)
kuketski (reporter)
2010-08-27 03:38
edited on: 2010-09-01 03:01

in 31.12 i had dwarf with damaged motor nerve in a leg and "ability to stand lost". he just lie in a hospital and never get out even crawling or on crutches, only he recieves feeding/watering regularly.

EDIT: recently i build "danger room" to buff up my army and two of armydwarwes come to the room with their childs. Chilids suffered moderate damage (broken limbs) and crawled to the hospinal, where they died from dehidration with 20 idlers(5 of them is multiprofessional medicaldwarfs) with watering labor enabled, 4 free buckets(2 assigned to hospital) and a well INSIDE the hospital. =(

EDIT2: my dwrves wasnt storing gipsum plaster powder in hospital cotainers, unless i build one container for EACH type of storable items (thread, splint, powder is different type of items and must be stored in different containers). After that several of my dwarfs recieved gipsum plaster "wrapping" alright.

(0012799)
Nidor (reporter)
2010-09-18 16:28
edited on: 2010-09-18 17:38

Found a workaround, build a cage trap underneath the ignored dwarf while he/she is resting, set the cage up inside the hospital and release. Being unconscious they trigger the trap, and being caged cancels the rest. On release they should start a new rest "job" and move to the hospital bed and grab the attention of the docs.

(0012831)
kuketski (reporter)
2010-09-19 21:59

I have one with two yellow wounds, who was injured in "danger room"(probably by a deer`s lucky strke) and had "ability to stand lost".
he`s been there for 3(!!!) years.
no one ever come to drag him to a hospital, but he was fed and watered enough.
after 3 years of rest in a danger room, constantly being attacked by a -training spear- he`s healed by himself, just got up and went working.
(0015394)
Orkel2 (reporter)
2011-02-22 07:30

Now that Toady is on a bugfixing spree I hope this is one of the bugs that is fixed. Along with the bug that causes severed parts to not get treated, infecting and dying (like when a nose gets severed they don't treat the dwarf at all, no treatment scheduled, dwarf proceeds to die of infection)
(0016891)
Nihil (reporter)
2011-03-31 15:40

A save of a wounded getting ignored, like asked in my report. Not sure if he is dead or about to die when it's saved.

http://dffd.wimbli.com/file.php?id=4097 [^]

Also, thanks a lot for the new bug fixes in hospitals with that darn soap, it's a pleasure to see them using it well :)
(0018365)
Footkerchief (manager)
2011-07-29 12:32

Reminder sent to: icecon

Mediafire usually removes saves before Toady gets a chance to look at them. Please upload to http://dffd.wimbli.com/ [^] instead. Thanks!
(0021046)
etherflan (reporter)
2012-03-03 23:24

In 0.34.04, I also find that the medical dwarf does treatments in a sequence. What I mean is, the first dwarf diagnosed must have _all_ treatments completed before the medical dwarf diagnosis the next one. This included minor injuries such as "4th finger right hand" being smashed. The other dwarf has "ability to stand lost" and some variation of "serious blood loss" but the medical dwarf seems to pick the first one to diagnose and then treat at random, instead of by seriousness.
This, combined with the fact the the medical dwarf will have "no job" for a while between each treatment, and will sleep at "drowsy" rather than treat a dwarf bleeding to death, causes a lot of Fun for my military dwarves XD
(0022104)
Kogut (reporter)
2012-04-05 01:11

from 0003104

after suturing doctor waits for another suturing/wound dressing job to be created the next day instead of continuing his job
(0022124)
Footkerchief (manager)
2012-04-06 07:30

Shimrod posted a 0.31.12 save at 0003104: http://dffd.wimbli.com/file.php?id=2996 [^]
(0031057)
wyldmage (reporter)
2014-11-18 10:16

Just had this occur in 40.14.

Unassigning doctor and re-assigning fixed the issue. Unable to recall if doctor was assigned before or after creation of hospital, but there still seems to be some small issue related to this.

- Issue History
Date Modified Username Field Change
2010-04-27 10:34 ultimate carl New Issue
2010-04-27 10:36 ultimate carl Tag Attached: bed
2010-04-27 10:36 ultimate carl Tag Attached: buckets
2010-04-27 10:36 ultimate carl Tag Attached: death
2010-04-27 10:36 ultimate carl Tag Attached: healthcare
2010-04-27 10:36 ultimate carl Tag Attached: water
2010-04-27 10:48 Logical2u Note Added: 0005360
2010-04-27 11:08 ultimate carl Note Added: 0005364
2010-04-27 13:07 Footkerchief Note Added: 0005381
2010-04-27 13:08 Footkerchief Relationship added child of 0000351
2010-04-30 00:23 crossmr Note Added: 0005735
2010-04-30 00:24 crossmr Issue Monitored: crossmr
2010-04-30 00:33 crossmr Note Added: 0005736
2010-04-30 22:42 HammerDave Note Added: 0005802
2010-04-30 23:14 crossmr Note Added: 0005804
2010-06-12 20:57 se5a Note Added: 0008243
2010-06-12 20:59 se5a Issue Monitored: se5a
2010-06-14 22:14 norri Note Added: 0008457
2010-06-15 01:27 Toady One Relationship added related to 0000094
2010-06-15 01:28 Toady One Relationship replaced related to 0000351
2010-06-15 01:30 Toady One Note Added: 0008474
2010-06-15 01:30 Toady One Assigned To => Toady One
2010-06-15 01:30 Toady One Status new => acknowledged
2010-07-01 01:23 schlappi Note Added: 0009450
2010-07-01 01:23 schlappi Note Edited: 0009450 View Revisions
2010-07-01 01:26 schlappi Note Edited: 0009450 View Revisions
2010-07-05 03:55 Khym Chanur Issue Monitored: Khym Chanur
2010-07-05 12:53 HammerDave Note Added: 0009658
2010-07-05 12:54 HammerDave Issue Monitored: HammerDave
2010-07-29 10:50 JimboOmega Note Added: 0011259
2010-07-29 11:26 JimboOmega Issue Monitored: JimboOmega
2010-07-31 03:58 Footkerchief Relationship added parent of 0002905
2010-08-04 21:35 Footkerchief Relationship added parent of 0000825
2010-08-23 11:09 Valguris Note Added: 0012046
2010-08-27 03:38 kuketski Note Added: 0012144
2010-08-27 03:38 kuketski Issue Monitored: kuketski
2010-08-31 22:30 kuketski Note Edited: 0012144 View Revisions
2010-09-01 02:54 kuketski Note Edited: 0012144 View Revisions
2010-09-01 03:01 kuketski Note Edited: 0012144 View Revisions
2010-09-17 07:15 shajenko Issue Monitored: shajenko
2010-09-18 16:28 Nidor Note Added: 0012799
2010-09-18 17:38 Nidor Note Edited: 0012799 View Revisions
2010-09-19 20:08 Nidor Issue Monitored: Nidor
2010-09-19 21:59 kuketski Note Added: 0012831
2010-11-15 13:59 Footkerchief Relationship added has duplicate 0003633
2010-12-28 08:45 Footkerchief Relationship added has duplicate 0003852
2011-02-22 07:30 Orkel2 Note Added: 0015394
2011-03-31 15:24 Footkerchief Relationship added has duplicate 0004412
2011-03-31 15:40 Nihil Note Added: 0016891
2011-04-09 08:33 Footkerchief Relationship added related to 0002279
2011-07-29 12:05 icecon Note Added: 0018364
2011-07-29 12:32 Footkerchief Issue Monitored: icecon
2011-07-29 12:32 Footkerchief Note Added: 0018365
2011-07-29 13:03 icecon Note Deleted: 0018364
2012-02-26 11:46 Buglist Issue Monitored: Buglist
2012-03-03 23:15 etherflan Issue Monitored: etherflan
2012-03-03 23:24 etherflan Note Added: 0021046
2012-03-05 09:03 Footkerchief Relationship replaced parent of 0002279
2012-03-05 09:04 Footkerchief Relationship deleted related to 0000351
2012-03-05 09:07 Footkerchief Relationship deleted parent of 0002905
2012-03-05 09:07 Footkerchief Relationship deleted parent of 0002279
2012-04-02 06:47 Kogut Note Added: 0022025
2012-04-02 06:50 Kogut Note Deleted: 0022025
2012-04-02 12:07 Footkerchief Relationship added has duplicate 0000734
2012-04-02 12:07 Footkerchief Issue Monitored: Smew
2012-04-02 12:07 Footkerchief Issue Monitored: Wolfen
2012-04-02 12:07 Footkerchief Issue Monitored: nocash
2012-04-02 12:08 Footkerchief Relationship added related to 0000412
2012-04-05 01:11 Kogut Note Added: 0022104
2012-04-05 10:53 Hieronymous Alloy Issue Monitored: Hieronymous Alloy
2012-04-06 07:28 Footkerchief Relationship added has duplicate 0003104
2012-04-06 07:30 Footkerchief Note Added: 0022124
2012-04-13 05:32 Steb Issue Monitored: Steb
2012-05-14 09:15 Footkerchief Relationship added related to 0005855
2012-05-17 17:45 Footkerchief Relationship added related to 0004553
2013-12-07 04:55 Thundercraft Issue Monitored: Thundercraft
2014-01-27 11:35 Footkerchief Summary Injured dwarf in bed in stocked hospital ignored by idle doctors. => Injured dwarves in bed receive no treatment after diagnosis
2014-01-27 11:36 Footkerchief Relationship added has duplicate 0003212
2014-01-27 17:27 Footkerchief Relationship added related to 0003103
2014-01-27 21:28 Footkerchief Relationship added related to 0004498
2014-09-09 09:39 Footkerchief Relationship added related to 0008025
2014-09-13 09:49 Footkerchief Relationship deleted related to 0008025
2014-11-18 10:16 wyldmage Note Added: 0031057
2015-03-10 19:16 Afghani84 Issue Monitored: Afghani84
2015-05-21 03:02 RiaStef Issue Monitored: RiaStef


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker